package com.c349blum.cartoons;

import java.io.InputStream;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.app.Activity;
import android.app.ActionBar;
import android.app.Fragment;
import android.app.ListActivity;
import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemSelectedListener;
import android.os.Build;

public class MainActivity extends ListActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		if (savedInstanceState == null) {
			getFragmentManager().beginTransaction()
					.add(R.id.container, new PlaceholderFragment()).commit();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	/**
	 * A placeholder fragment containing a simple view.
	 */
	public static class PlaceholderFragment extends Fragment {

		public PlaceholderFragment() {
		}

		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container,
				Bundle savedInstanceState) {
			View rootView = inflater.inflate(R.layout.fragment_main, container,
					false);
			
			
			
			try{
				
				Log.d("poop","before read");
				//http://stackoverflow.com/questions/6420293/reading-android-raw-text-file
				InputStream is = getResources().openRawResource(R.raw.cartoon);
			    byte[] buffer = new byte[is.available()];
			    while (is.read(buffer) != -1);
			    
			    Log.d("poop","after read");
			    String myText = new String(buffer);
				
			    //http://stackoverflow.com/questions/9605913/how-to-parse-json-in-android
			    //extract the main (top-level) JSON object from the file read above
			    JSONObject myJSON_object = new JSONObject(myText);
			    
			    //the main JSON object is/includes an array called employees
			    //extract that array
			    final JSONArray myJSON_array = myJSON_object.getJSONArray("cartoons");
			    
			    
			    
			    //create a String array of employee full names 
			    String[] cartoon_full = new String[myJSON_array.length()];
			    for (int i=0; i < myJSON_array.length(); i++){
			    	try{
			    		//get an individual element of the JSON array
			    		JSONObject aJSON_element = myJSON_array.getJSONObject(i);
			    		//get the individual properties of the JSON element
			    			    		
			    		String title = aJSON_element.getString("Title");
			    		String network = aJSON_element.getString("Network");
			    		//make the employee full name
			    		cartoon_full[i] = title + "@" + network; 
			    	}
			    	catch (JSONException e) 
			    	{
			    		Toast.makeText(getActivity(), "Dude, you have to know what the JSON looks like to parse it", Toast.LENGTH_SHORT).show();
			    		e.printStackTrace();
			    	}
			    } //end for 
			    
			    setListAdapter(new CartoonArrayAdapter(getActivity(), cartoon_full));
	   	
			}
			catch(Exception e){
				Toast.makeText(getActivity(), "Problem with file", Toast.LENGTH_SHORT).show();
				e.printStackTrace();
			} 
			
			
			
			return rootView;
		}
	}

}


